Bug 212312 - revelation crashes when viewing/creating records
revelation crashes when viewing/creating records
Product: Fedora
Classification: Fedora
Component: revelation (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
: 214422 (view as bug list)
Depends On: 212691
  Show dependency treegraph
Reported: 2006-10-26 02:48 EDT by Thomas M Steenholdt
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 04:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2006-10-26 02:48:04 EDT
Description of problem:

Running revelation-0.4.7-5.fc6, the application crashes whenever I try to access
a record...

Traceback (most recent call last):
  File "/usr/bin/revelation", line 266, in <lambda>
    self.tree.selection.connect("changed", lambda w:
  File "/usr/bin/revelation", line 305, in __state_entry
    e = self.entrystore.get_entry(iter)
  File "/usr/lib/python2.4/site-packages/revelation/data.py", line 400, in get_entry
    e = self.get_value(iter, COLUMN_ENTRY)
  File "/usr/lib/python2.4/warnings.py", line 61, in warn
    warn_explicit(message, category, filename, lineno, module, registry)
  File "/usr/lib/python2.4/warnings.py", line 82, in warn_explicit
    for item in filters:
TypeError: unknown type (null)

How reproducible:

Steps to Reproduce:
1. start revelation, click on an existing record or create a new one
Actual results:
*poof* (crash)

Expected results:
*swoosh* (smooth sailing) :o)

Additional info:
Comment 1 Thorsten Leemhuis 2006-10-27 12:53:38 EDT
Confirmed, reported upstream:
Comment 2 Gérard Milmeister 2006-10-27 14:43:50 EDT
It seems that this exposes a bug in pygtk:
So pygtk should probably be updated.
Comment 3 Thomas M Steenholdt 2006-10-28 01:10:06 EDT
Created pygtk bug for completeness... #212691
Comment 4 Thorsten Leemhuis 2006-10-28 08:48:51 EDT
(In reply to comment #3)
> Created pygtk bug for completeness... #212691

many thx. Did you actually check if the new pygtk fixes the bug?
Comment 5 Thomas M Steenholdt 2006-10-28 10:00:41 EDT
Actually, I didn't check myself - The Ubuntu ppl did, though.
Comment 6 Thomas M Steenholdt 2006-10-28 10:13:02 EDT
I checked for myself just now. As expected(trusted/hoped), I can no longer
provoke the crash. :o)

Sorry for not actually trying this out up-front!
Comment 7 Thomas M Steenholdt 2006-10-31 04:56:51 EST
new version of pygtk (curently in updates-testing) fixes this issue.

Thanks a lot guys!

closing as "ERRATA"
Comment 8 Thorsten Leemhuis 2006-11-07 11:36:18 EST
*** Bug 214422 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.